## org.springframework.core.convert.converter
Class GenericConverter.ConvertiblePair

    java.lang.Object
      org.springframework.core.convert.converter.GenericConverter.ConvertiblePair

Enclosing interface:
  GenericConverter

    public static final class GenericConverter.ConvertiblePair

extends Object

Holder for a source-to-target class pair.

Constructor Summary
`GenericConverter.ConvertiblePair(Class<?> sourceType, Class<?> targetType)` Create a new source-to-target pair.

Method Summary
`boolean` `equals(Object obj)`
`Class<?>` `getSourceType()`
`Class<?>` `getTargetType()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericConverter.ConvertiblePair

    public GenericConverter.ConvertiblePair(Class<?> sourceType,
                                            Class<?> targetType)

  Create a new source-to-target pair.

  Parameters:
    `sourceType` - the source type
    `targetType` - the target type

Method Detail

### getSourceType

    public Class<?> getSourceType()

### getTargetType

    public Class<?> getTargetType()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`